Skip to main content
PATCH
/
projects
/
{slug}
/
environments
/
{environmentSlug}
Update environment
curl --request PATCH \
  --url https://api.envless.cloud/projects/{slug}/environments/{environmentSlug} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>"
}
'
{
  "success": true,
  "code": 200,
  "message": "Environment updated.",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "projectId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.envless.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access key from https://app.envless.cloud/keys. Pass as Authorization: Bearer ev_live_....

Path Parameters

slug
string
required

The project's slug.

environmentSlug
string
required

The environment's current slug.

Body

application/json
name
string
slug
string

Response

Environment updated

success
boolean
Example:

true

code
integer
Example:

200

message
string
Example:

"Environment updated."

data
object